jQuery.Class('CTMobileSettings_GeocodeReport_Js', {}, {
	
	registerSynclatlongEvent : function(){
		jQuery('#synclatlong').on('click',function(){
			var params = {};
			params['module'] = app.getModuleName();
			params['parent'] = app.getParentModuleName();
			params['action'] = 'addLatlong';
			var progressIndicatorElement = jQuery.progressIndicator({
				'position' : 'html',
				'blockInfo' : {
					'enabled' : true
				}
			});
			AppConnector.request(params).then(
			function(data) {
				console.log(data);
				progressIndicatorElement.progressIndicator({'mode' : 'hide'});
			});
		});
	},
		/**
		* Function to register events
		*/
	registerEvents: function () {
		var thisInstance = this;
		this.registerSynclatlongEvent();
	}
	
})

jQuery(document).ready(function () {
	var CTMobileSettingsInstance = new CTMobileSettings_GeocodeReport_Js();
    CTMobileSettingsInstance.registerEvents();
});
